> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firmium.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get company profile

> Retrieve basic company information including name, status, legal form, VAT number, registration number, and addresses.



## OpenAPI

````yaml /openapi.json get /api/v1/companies/{uuid}/
openapi: 3.0.3
info:
  title: Firmium API
  version: v1
servers:
  - url: https://www.firmium.de/
security: []
tags:
  - name: v1
    description: Company and business data endpoints
paths:
  /api/v1/companies/{uuid}/:
    get:
      tags:
        - v1
      summary: Get company profile
      description: >-
        Retrieve basic company information including name, status, legal form,
        VAT number, registration number, and addresses.
      operationId: get_company
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyBaseDataset'
          description: ''
        '404':
          content:
            application/json:
              schema:
                description: Company not found
          description: ''
      security:
        - cookieAuth: []
        - SessionAuth: []
        - TokenAuth: []
components:
  schemas:
    CompanyBaseDataset:
      type: object
      description: Serializer for company base dataset
      properties:
        uuid:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 512
        status:
          $ref: '#/components/schemas/StatusEnum'
        legal_form:
          type: string
          nullable: true
          maxLength: 255
        vat_number:
          type: string
          nullable: true
          maxLength: 50
        registration_number:
          type: string
          description: Local registry number
          maxLength: 100
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/Address'
          readOnly: true
        industry_codes:
          type: array
          items:
            $ref: '#/components/schemas/IndustryClassification'
          readOnly: true
      required:
        - addresses
        - industry_codes
        - name
        - registration_number
        - uuid
    StatusEnum:
      enum:
        - Active
        - Inactive
        - In Liquidation
        - Dissolved
        - Bankrupt
        - Restructuring
        - Insolvency Proceeding
        - Relocated
      type: string
      description: |-
        * `Active` - Active
        * `Inactive` - Inactive
        * `In Liquidation` - In Liquidation
        * `Dissolved` - Dissolved
        * `Bankrupt` - Bankrupt
        * `Restructuring` - Restructuring
        * `Insolvency Proceeding` - Insolvency Proceeding
        * `Relocated` - Relocated
    Address:
      type: object
      description: Serializer for company addresses
      properties:
        street:
          type: string
          maxLength: 255
        house_number:
          type: string
          maxLength: 20
        city:
          type: string
          maxLength: 100
        postal_code:
          type: string
          maxLength: 20
        country:
          type: string
          maxLength: 100
        country_code:
          type: string
          maxLength: 3
        is_primary:
          type: boolean
        latitude:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,7})?$
          nullable: true
        longitude:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,7})?$
          nullable: true
    IndustryClassification:
      type: object
      description: >-
        Serializer for a company's industry classification
        (NACE/WZ/SIC/ÖNACE/...).


        `code`/`description`/`scheme`/`version` come from the related industry

        code, not from this model directly.
      properties:
        code:
          type: string
          readOnly: true
          nullable: true
        description:
          type: string
          readOnly: true
          nullable: true
        scheme:
          type: string
          readOnly: true
          nullable: true
        version:
          type: string
          readOnly: true
          nullable: true
        is_primary:
          type: boolean
          description: Indicates if this is the primary classification
      required:
        - code
        - description
        - scheme
        - version
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: sessionid
    SessionAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Session authentication. Formats: Authorization: Session <sessionid> |
        Query: ?sessionid=<key> | Cookie: sessionid=<key>
    TokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'Token authentication. Format: Token <key>'

````